html {
    font-size: 16px;
}

.page-wrap {
    /* vw and vh are viewwidth and viewheight. 1 vw is 1/100th of the width of your window */
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
}

.search-item {
    cursor: pointer;
    margin: 1rem;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
}

/* This type of selector grabs only the direct children of .search-item that match img */
.search-item > img {
    /* rems are very powerful in css. They are relative to the font-size on the html element at the top so 1rem is 16px in this case */
    margin-bottom: 1rem;
}

.detail-wrap {
    width: 100vw;
    height: 100vh;
    /* 
        fixed means this is fixed to the window. I'd kind of want to explain positioning in person because its pretty complex and powerful,
        that said, we're doing this to give our modal a full screen background that we can then click to make go away.
     */
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(1,1,1,.85);
}

.detail {
    position: absolute;
    background: white;
    border-radius: .5rem;
    padding: 2rem;
    margin: 1rem;
    display: flex;
}

.detail > div {
    margin: 1rem;
}